import ContentCard from "@/components/ContentCard";

export default function AboutMe() {
  return (
    <ContentCard>
      <h2>{'< About Me >'}</h2>
      <hr />

      <p>
        For as long as I can remember, I have been fascinated with computers and other electronic devices. As a
        kid, I would attempt to disassemble (usually already broken) electronic devices of all types to see
        what&lsquo;s inside and <b>attempt to decipher how they function</b>. Sometimes these devices would not
        be broken <i>before</i> I took them apart, to the dismay of my family. When I was 8 or so, I received an
        old hand-me-down computer (an IBM Aptiva with matching CRT monitor). I must have clicked just about
        every button there was to click, learning about the computer&lsquo;s functions as I went along and
        <b>learning how to fix things I&lsquo;d inadvertently break in the process</b>. I also ran a website
        during this period, created with MS Frontpage, explaining how computers work and describing their
        various components. </p>
      <br />
      <p>
        Fast forward a few years and I&lsquo;m messing around with Android smartphones, learning about things
        like ADB, Fastboot and flashing custom ROMs to <b>expand their capabilities after the manufacturer had
          long stopped pushing out new software versions</b>. Around this time, I also experimented with
        installing Linux, going back and forth between this new and unknown thing, and the various Windows
        versions I was familiar with. I&lsquo;d picked up some simple HTML and CSS skills, and occasionally
        dabbled in game development through the use of Game Maker 7/8. </p>
      <br />
      <p>
        The latter introduced me to the concept of <b>object-oriented programming</b>. After understanding the
        basics of Game Maker, I discovered projects like <a href="https://godotengine.org/">Godot</a>, and
        attempted to wrap my brain about &ldquo;proper&rdquo; programming, teaching myself to <b> write small
          Python-based games on the Raspberry Pi </b> using <a href="https://pygame.org">Pygame</a> (I say
        &lsquo;games&rsquo;, but they&lsquo;re probably better described as &lsquo;tech demos&rsquo;). </p>
      <br />
      <p>
        I also started writing some simple applications using C# and WinForms, <b>creating a small tool to help
          me calculate note transpositions when playing music</b>. Later, I wrote a program that converted game
        controller inputs into MIDI signals, allowing me to play digital instruments and keyboards using the
        controller. Additionally, I occasionally attempted to solve small programming exercises given to me by
        my uncle, a seasoned software developer and big inspiration to little me.
      </p>
    </ContentCard>
  )
}
